'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-cd75521b.js');

const sasNavigationTopCss = ":host{display:flex}:host .container{flex-grow:1;display:flex;align-items:center;background-color:var(--secondary);padding:0 20px;height:70px}:host .dropdown{height:100%;display:flex;align-items:center;--list-item-text-font-weight:500}:host .icon-header{--icon-color:var(--navigation-header-background);--icon-background-color:white;--icon-background-width:15px;--icon-background-height:15px;--icon-background-border-radius:0}:host .title{display:inline;color:#FFF;font-size:24px;font-weight:bold;flex-grow:1;margin-left:15px}:host .icon-header-2{--icon-color:#FFF}:host .user{display:inline;color:#FFF;font-size:12px;font-weight:bold;margin-left:27px;margin-right:10px}";

let SasNavigationTop = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * Farm name
     */
    this.name = 'Farm Name';
    /**
     * User name
     */
    this.user = 'Jesse Pinkman';
    /**
     * User image
     */
    this.src = '';
  }
  render() {
    return (index.h(index.Host, null, index.h("div", { class: "container" }, index.h("div", { class: "dropdown" }, index.h("sas-dropdown", null, index.h("sas-icon", { tabindex: 0, class: "icon-header", slot: "control", icon: "fas fa-border-all" }), index.h("slot", { name: "account-menu", slot: "menu" }))), index.h("div", { class: "title" }, this.name), index.h("div", { class: "dropdown" }, index.h("sas-dropdown", null, index.h("sas-icon", { tabindex: 0, class: "icon-header-2", slot: "control", icon: "fas fa-bell" }), index.h("slot", { name: "notice-menu", slot: "menu" }))), index.h("div", { class: "user" }, this.user), index.h("div", { class: "dropdown" }, index.h("sas-dropdown", null, index.h("sas-avatar", { name: this.user, src: this.src, slot: "control" }), index.h("slot", { name: "user-menu", slot: "menu" }))))));
  }
};
SasNavigationTop.style = sasNavigationTopCss;

exports.sas_navigation_top = SasNavigationTop;
