import { Component, Host, h, } from '@stencil/core';
/**
 * @slot default - used for avatars
 */
export class SasAvatarGroup {
  render() {
    return (h(Host, null,
      h("div", { class: "container" },
        h("slot", null))));
  }
  static get is() { return "sas-avatar-group"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["sas-avatar-group.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["sas-avatar-group.css"]
  }; }
}
