// sas-breadcrumb.stories.js
import readme from './readme.md';

export default {
  title: 'Basic/Breadcrumb',
  parameters: {
    notes: {
      markdown: readme,
    },
  },
};

export const Basic = (args) => {
  let breadcrumb = document.createElement('sas-breadcrumb');
  breadcrumb.items = args.items;
  return breadcrumb;
}

Basic.args = {
  items: [
    {
      text: 'Dashboard',
      disabled: false,
      href: 'breadcrumbs_dashboard',
    },
    {
      text: 'Link 1',
      disabled: false,
      href: 'breadcrumbs_link_1',
    },
    {
      text: 'Link 2',
      disabled: true,
      href: 'breadcrumbs_link_2',
    },
    {
      text: 'Link 3',
      disabled: false,
      href: 'breadcrumbs_link_3',
    },
    {
      text: 'Link 4',
      disabled: false,
      href: 'breadcrumbs_link_4',
    },
    {
      text: 'Link 5',
      disabled: true,
      href: 'breadcrumbs_link_5',
    },
    {
      text: 'Link 6',
      disabled: false,
      href: 'breadcrumbs_link_6',
    },
    {
      text: 'Link 7',
      disabled: false,
      href: 'breadcrumbs_link_7',
    },
    {
      text: 'Link 8',
      disabled: false,
      href: 'breadcrumbs_link_8',
    },
    {
      text: 'Link 9',
      disabled: true,
      href: 'breadcrumbs_link_9',
    },
  ],
};
