const init = (options) => {
  let message = 'default toast messsage';
  if ('message' in options) {
    message = options.message;
  }
  let delay = 3000;
  if ('delay' in options) {
    delay = options.delay;
  }

  let toastElement = document.createElement('div');
  toastElement.setAttribute('sas-toast', '');
  toastElement.classList.add('toast-container');
  toastElement.innerHTML = message;
  document.body.append(toastElement);
  
  setTimeout(() => {
    toastElement.remove();
  }, delay);
}

export class SasToast {
  constructor(options = {}) {
		init(options);
	}
}