/* SasUi custom elements bundle */

import type { Components, JSX } from "../types/components";

interface SasAlert extends Components.SasAlert, HTMLElement {}
export const SasAlert: {
  prototype: SasAlert;
  new (): SasAlert;
};

interface SasAvatar extends Components.SasAvatar, HTMLElement {}
export const SasAvatar: {
  prototype: SasAvatar;
  new (): SasAvatar;
};

interface SasAvatarGroup extends Components.SasAvatarGroup, HTMLElement {}
export const SasAvatarGroup: {
  prototype: SasAvatarGroup;
  new (): SasAvatarGroup;
};

interface SasBadge extends Components.SasBadge, HTMLElement {}
export const SasBadge: {
  prototype: SasBadge;
  new (): SasBadge;
};

interface SasBreadcrumb extends Components.SasBreadcrumb, HTMLElement {}
export const SasBreadcrumb: {
  prototype: SasBreadcrumb;
  new (): SasBreadcrumb;
};

interface SasButton extends Components.SasButton, HTMLElement {}
export const SasButton: {
  prototype: SasButton;
  new (): SasButton;
};

interface SasButtonGroup extends Components.SasButtonGroup, HTMLElement {}
export const SasButtonGroup: {
  prototype: SasButtonGroup;
  new (): SasButtonGroup;
};

interface SasCard extends Components.SasCard, HTMLElement {}
export const SasCard: {
  prototype: SasCard;
  new (): SasCard;
};

interface SasCarousel extends Components.SasCarousel, HTMLElement {}
export const SasCarousel: {
  prototype: SasCarousel;
  new (): SasCarousel;
};

interface SasChatBubble extends Components.SasChatBubble, HTMLElement {}
export const SasChatBubble: {
  prototype: SasChatBubble;
  new (): SasChatBubble;
};

interface SasCheckbox extends Components.SasCheckbox, HTMLElement {}
export const SasCheckbox: {
  prototype: SasCheckbox;
  new (): SasCheckbox;
};

interface SasCheckboxGroup extends Components.SasCheckboxGroup, HTMLElement {}
export const SasCheckboxGroup: {
  prototype: SasCheckboxGroup;
  new (): SasCheckboxGroup;
};

interface SasCheckboxSubgroup extends Components.SasCheckboxSubgroup, HTMLElement {}
export const SasCheckboxSubgroup: {
  prototype: SasCheckboxSubgroup;
  new (): SasCheckboxSubgroup;
};

interface SasChip extends Components.SasChip, HTMLElement {}
export const SasChip: {
  prototype: SasChip;
  new (): SasChip;
};

interface SasContainer extends Components.SasContainer, HTMLElement {}
export const SasContainer: {
  prototype: SasContainer;
  new (): SasContainer;
};

interface SasDateField extends Components.SasDateField, HTMLElement {}
export const SasDateField: {
  prototype: SasDateField;
  new (): SasDateField;
};

interface SasDateRange extends Components.SasDateRange, HTMLElement {}
export const SasDateRange: {
  prototype: SasDateRange;
  new (): SasDateRange;
};

interface SasDetails extends Components.SasDetails, HTMLElement {}
export const SasDetails: {
  prototype: SasDetails;
  new (): SasDetails;
};

interface SasDivider extends Components.SasDivider, HTMLElement {}
export const SasDivider: {
  prototype: SasDivider;
  new (): SasDivider;
};

interface SasDropdown extends Components.SasDropdown, HTMLElement {}
export const SasDropdown: {
  prototype: SasDropdown;
  new (): SasDropdown;
};

interface SasForm extends Components.SasForm, HTMLElement {}
export const SasForm: {
  prototype: SasForm;
  new (): SasForm;
};

interface SasFormInputTemplate extends Components.SasFormInputTemplate, HTMLElement {}
export const SasFormInputTemplate: {
  prototype: SasFormInputTemplate;
  new (): SasFormInputTemplate;
};

interface SasIcon extends Components.SasIcon, HTMLElement {}
export const SasIcon: {
  prototype: SasIcon;
  new (): SasIcon;
};

interface SasImage extends Components.SasImage, HTMLElement {}
export const SasImage: {
  prototype: SasImage;
  new (): SasImage;
};

interface SasInput extends Components.SasInput, HTMLElement {}
export const SasInput: {
  prototype: SasInput;
  new (): SasInput;
};

interface SasInputTel extends Components.SasInputTel, HTMLElement {}
export const SasInputTel: {
  prototype: SasInputTel;
  new (): SasInputTel;
};

interface SasInputTextarea extends Components.SasInputTextarea, HTMLElement {}
export const SasInputTextarea: {
  prototype: SasInputTextarea;
  new (): SasInputTextarea;
};

interface SasList extends Components.SasList, HTMLElement {}
export const SasList: {
  prototype: SasList;
  new (): SasList;
};

interface SasListItem extends Components.SasListItem, HTMLElement {}
export const SasListItem: {
  prototype: SasListItem;
  new (): SasListItem;
};

interface SasMenuBar extends Components.SasMenuBar, HTMLElement {}
export const SasMenuBar: {
  prototype: SasMenuBar;
  new (): SasMenuBar;
};

interface SasMultiselect extends Components.SasMultiselect, HTMLElement {}
export const SasMultiselect: {
  prototype: SasMultiselect;
  new (): SasMultiselect;
};

interface SasNavigation extends Components.SasNavigation, HTMLElement {}
export const SasNavigation: {
  prototype: SasNavigation;
  new (): SasNavigation;
};

interface SasNavigationTop extends Components.SasNavigationTop, HTMLElement {}
export const SasNavigationTop: {
  prototype: SasNavigationTop;
  new (): SasNavigationTop;
};

interface SasPagination extends Components.SasPagination, HTMLElement {}
export const SasPagination: {
  prototype: SasPagination;
  new (): SasPagination;
};

interface SasProgressBar extends Components.SasProgressBar, HTMLElement {}
export const SasProgressBar: {
  prototype: SasProgressBar;
  new (): SasProgressBar;
};

interface SasRadio extends Components.SasRadio, HTMLElement {}
export const SasRadio: {
  prototype: SasRadio;
  new (): SasRadio;
};

interface SasRadioGroup extends Components.SasRadioGroup, HTMLElement {}
export const SasRadioGroup: {
  prototype: SasRadioGroup;
  new (): SasRadioGroup;
};

interface SasSelect extends Components.SasSelect, HTMLElement {}
export const SasSelect: {
  prototype: SasSelect;
  new (): SasSelect;
};

interface SasStepper extends Components.SasStepper, HTMLElement {}
export const SasStepper: {
  prototype: SasStepper;
  new (): SasStepper;
};

interface SasSublist extends Components.SasSublist, HTMLElement {}
export const SasSublist: {
  prototype: SasSublist;
  new (): SasSublist;
};

interface SasSwitch extends Components.SasSwitch, HTMLElement {}
export const SasSwitch: {
  prototype: SasSwitch;
  new (): SasSwitch;
};

interface SasTab extends Components.SasTab, HTMLElement {}
export const SasTab: {
  prototype: SasTab;
  new (): SasTab;
};

interface SasTabItem extends Components.SasTabItem, HTMLElement {}
export const SasTabItem: {
  prototype: SasTabItem;
  new (): SasTabItem;
};

interface SasTable extends Components.SasTable, HTMLElement {}
export const SasTable: {
  prototype: SasTable;
  new (): SasTable;
};

interface SasTimeField extends Components.SasTimeField, HTMLElement {}
export const SasTimeField: {
  prototype: SasTimeField;
  new (): SasTimeField;
};

interface SasTooltip extends Components.SasTooltip, HTMLElement {}
export const SasTooltip: {
  prototype: SasTooltip;
  new (): SasTooltip;
};

interface SasUpload extends Components.SasUpload, HTMLElement {}
export const SasUpload: {
  prototype: SasUpload;
  new (): SasUpload;
};

interface SasUserCard extends Components.SasUserCard, HTMLElement {}
export const SasUserCard: {
  prototype: SasUserCard;
  new (): SasUserCard;
};

/**
 * Utility to define all custom elements within this package using the tag name provided in the component's source. 
 * When defining each custom element, it will also check it's safe to define by:
 *
 * 1. Ensuring the "customElements" registry is available in the global context (window).
 * 2. The component tag name is not already defined.
 *
 * Use the standard [customElements.define()](https://developer.mozilla.org/en-US/docs/Web/API/CustomElementRegistry/define) 
 * method instead to define custom elements individually, or to provide a different tag name.
 */
export declare const defineCustomElements: (opts?: any) => void;

/**
 * Used to manually set the base path where assets can be found.
 * If the script is used as "module", it's recommended to use "import.meta.url",
 * such as "setAssetPath(import.meta.url)". Other options include
 * "setAssetPath(document.currentScript.src)", or using a bundler's replace plugin to
 * dynamically set the path at build time, such as "setAssetPath(process.env.ASSET_PATH)".
 * But do note that this configuration depends on how your script is bundled, or lack of
 * bunding, and where your assets can be loaded from. Additionally custom bundling
 * will have to ensure the static assets are copied to its build directory.
 */
export declare const setAssetPath: (path: string) => void;

export interface SetPlatformOptions {
  raf?: (c: FrameRequestCallback) => number;
  ael?: (el: EventTarget, eventName: string, listener: EventListenerOrEventListenerObject, options: boolean | AddEventListenerOptions) => void;
  rel?: (el: EventTarget, eventName: string, listener: EventListenerOrEventListenerObject, options: boolean | AddEventListenerOptions) => void;
  ce?: (eventName: string, opts?: any) => CustomEvent;
}
export declare const setPlatformOptions: (opts: SetPlatformOptions) => void;

export type { Components, JSX };

export * from '../types';
