import { r as registerInstance, h, H as Host } from './index-82af0817.js';

const sasAvatarGroupCss = ":host{display:flex}:host .container{display:flex;font-size:0;margin-left:7px;--avatar-margin-left:-7px;--avatar-transition:0.3s;--avatar-hover-transform:translate(0, -5px)}";

let SasAvatarGroup = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    return (h(Host, null, h("div", { class: "container" }, h("slot", null))));
  }
};
SasAvatarGroup.style = sasAvatarGroupCss;

export { SasAvatarGroup as sas_avatar_group };
