import { r as registerInstance, h, H as Host } from './index-82af0817.js';

const sasChatBubbleCss = ":host{border-radius:3px;padding:6px 9px;background-color:var(--secondary);font-size:12px;line-height:18px;color:#FFF;position:absolute;transition:opacity 0.5s;max-width:200px;width:max-content}:host:before{content:\"\";width:0;height:0;border:5px solid transparent;position:absolute;transform:rotate(45deg)}:host([position=top]){bottom:calc(100% + 12px);left:50%;transform:translateX(-50%)}:host([position=top]):before{bottom:-4px;border-bottom-color:var(--secondary);border-right-color:var(--secondary);left:calc(50% - 5px)}:host([position=bottom]){top:calc(100% + 12px);left:50%;transform:translateX(-50%)}:host([position=bottom]):before{top:-4px;border-top-color:var(--secondary);border-left-color:var(--secondary);transform:rotate(45deg);left:calc(50% - 5px)}:host([position=left]){right:calc(100% + 12px);top:50%;transform:translateY(-50%)}:host([position=left]):before{right:-4px;border-top-color:var(--secondary);border-right-color:var(--secondary);top:calc(50% - 5px)}:host([position=right]){left:calc(100% + 12px);top:50%;transform:translateY(-50%)}:host([position=right]):before{left:-4px;border-bottom-color:var(--secondary);border-left-color:var(--secondary);top:calc(50% - 5px)}";

let SasChatBubble = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * position
     */
    this.position = 'top';
  }
  render() {
    return (h(Host, null, h("slot", null)));
  }
};
SasChatBubble.style = sasChatBubbleCss;

export { SasChatBubble as sas_chat_bubble };
