import { r as registerInstance, h, H as Host } from './index-82af0817.js';

const sasNavigationCss = ":host{display:inline-block}:host .container{display:inline-block}:host .header{background-color:var(--navigation-header-background);color:#FFF;font-size:24px;font-weight:bold;padding:21px 80px 21px 30px}:host .icon-header{--icon-color:var(--navigation-header-background);--icon-background-color:white;--icon-background-width:15px;--icon-background-height:15px;--icon-background-border-radius:0;margin-right:15px}:host .menu-container{padding:29px 0;background-color:#FFF;border-right:1px solid var(--s-200);--sublist-item-padding:12px 10px 12px 45px;--sublist-hover-background:var(--list-item-hover-background);--sublist-selected-background:var(--list-item-hover-background);--sublist-border-left:3px solid transparent;--sublist-selected-border-left:3px solid var(--primary);--sublist-item-border-left:none;--sublist-item-selected-border-left:none;--list-item-default-color:var(--s-400);--list-item-border-left:3px solid transparent;--list-item-selected-border-left:3px solid var(--primary);--list-item-text-font-weight:500}";

let SasNavigation = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * Farm name
     */
    this.name = 'Farm Name';
  }
  render() {
    return (h(Host, null, h("div", { class: "container" }, h("div", { class: "header" }, h("sas-icon", { class: "icon-header", icon: "fas fa-border-all" }), h("span", null, this.name)), h("div", { class: "menu-container" }, h("slot", null)))));
  }
};
SasNavigation.style = sasNavigationCss;

export { SasNavigation as sas_navigation };
