import { EventEmitter } from '../../stencil-public-runtime';
export declare class SasAvatar {
  /**
   * Type
   */
  type: 'small' | 'medium' | 'large';
  /**
   * Name of avatar, display initials if no image src
   */
  name: string;
  /**
   * Image source
   */
  src: string;
  /**
   * Disabled
   */
  disabled: boolean;
  /**
   * Group
   */
  group: boolean;
  /**
   * Emitted when the component is clicked
   */
  avatarClicked: EventEmitter<string>;
  private getContent;
  private handleClick;
  private getInitial;
  private getFirstValidLetter;
  render(): any;
}
