/**
 * @slot default - used for the badge’s content
 */
export declare class SasBadge {
  /**
   * Type
   */
  type: 'indicator' | 'notification';
  /**
   * Indicator status, only works with type indicator
   */
  status: 'online' | 'offline';
  /**
   * Notification number, only works with type notification
   */
  number: number;
  /**
   * Moves the badge to be inline with the wrapping element
   */
  inline: boolean;
  private getNumber;
  render(): any;
}
