import { EventEmitter } from '../../stencil-public-runtime';
/**
 * @slot summary - details summary
 * @slot content - details content
 */
export declare class SasDetails {
  el: HTMLSasDetailsElement;
  /**
   * Open
   */
  open: boolean;
  /**
   * icon
   */
  icon: string;
  /**
   * add gap between summary and content automatically
   */
  autoGap: boolean;
  private height;
  componentDidLoad(): void;
  /**
   * Emitted when the component is toggled by user interaction
   */
  detailsupdate: EventEmitter<boolean>;
  /**
   * Check if content is open or not
   */
  checkIsOpen(): Promise<boolean>;
  private getHeight;
  private hasContent;
  private toggleIcon;
  private toggleContent;
  private addSummaryMarginBottom;
  private removeSummaryMarginBottom;
  private clickHandler;
  render(): any;
}
