import { ListItemValue } from '../sas-list-item/type';
export declare class SasSublist {
  el: HTMLSasSublistElement;
  /**
   * Icon left
   */
  icon: string;
  /**
   * Value
   */
  value: ListItemValue;
  /**
   * Text
   */
  text: string;
  /**
   *  Sub text
   */
  subtext: string;
  /**
   * Icon Right
   */
  iconRight: string;
  /**
   * Enable toggle sub list
   */
  toggle: boolean;
  /**
   * Open current sub list only
   */
  compact: boolean;
  /**
   * hide sub list
   */
  hideSub: boolean;
  /**
   * selected
   */
  selected: boolean;
  watchHandler(newValue: any): void;
  listItemClickEventUsedInternalHandler(event: any): void;
  private clickEvent;
  private hideSiblingSubList;
  private deSelectAll;
  render(): any;
}
