/**
 * @slot trigger - used for content which can trigger tooltip text
 * @slot text - used for tooltip text
 */
export declare class SasTooltip {
  el: HTMLSasTooltipElement;
  /**
   * Trigger text
   */
  trigger: string;
  /**
   * Tooltip text
   */
  text: string;
  /**
   * Default tooltip position
   */
  position: string;
  private mouseOverHandler;
  private updatePosition;
  private mouseOutHandler;
  render(): any;
}
