// sas-carousel.stories.js
import readme from './readme.md';

export default {
  title: 'Higher Order/Carousel',
  parameters: {
    notes: {
      markdown: readme,
    },
  },
};

export const Basic = (args) => {
  let sasCarousel = document.createElement('sas-carousel');
  sasCarousel.index = args.index;
  sasCarousel.slides = args.slides;
  return sasCarousel;
}

Basic.args = {
  index: 0,
  slides: [
    {
      name: 'image-1',
      src: 'https://fuss10.elemecdn.com/a/3f/3302e58f9a181d2509f3dc0fa68b0jpeg.jpeg',
    },
    {
      name: 'image-2',
      src: 'https://fuss10.elemecdn.com/1/34/19aa98b1fcb2781c4fba33d850549jpeg.jpeg',
    },
    {
      name: 'image-3',
      src: 'https://fuss10.elemecdn.com/2/11/6535bcfb26e4c79b48ddde44f4b6fjpeg.jpeg',
    },
    {
      name: 'image-4',
      src: 'https://fuss10.elemecdn.com/3/28/bbf893f792f03a54408b3b7a7ebf0jpeg.jpeg',
    },
    {
      name: 'image-5',
      src: 'https://fuss10.elemecdn.com/d/e6/c4d93a3805b3ce3f323f7974e6f78jpeg.jpeg',
    },
    {
      name: 'image-6',
      src: 'https://fuss10.elemecdn.com/9/bb/e27858e973f5d7d3904835f46abbdjpeg.jpeg',
    },
    {
      name: 'image-7',
      src: 'https://fuss10.elemecdn.com/0/6f/e35ff375812e6b0020b6b4e8f9583jpeg.jpeg',
    },
  ],
};