import { Component, Host, h, Prop, } from '@stencil/core';
export class SasChatBubble {
  constructor() {
    /**
     * position
     */
    this.position = 'top';
  }
  render() {
    return (h(Host, null,
      h("slot", null)));
  }
  static get is() { return "sas-chat-bubble"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["sas-chat-bubble.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["sas-chat-bubble.css"]
  }; }
  static get properties() { return {
    "position": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "position"
      },
      "attribute": "position",
      "reflect": true,
      "defaultValue": "'top'"
    }
  }; }
}
