// sas-details.stories.js
import readme from './readme.md';

export default {
  title: 'Basic/Details',
  parameters: {
    notes: {
      markdown: readme,
    },
    actions: {
      handles: ['detailsupdate', 'sas-details'],
    },
  },
};

export const Basic = (args) => `
  <sas-details
    open="${args.open}"
    icon="${args.icon}"
    auto-gap="${args.autoGap}"
  >
    <div slot="summary">This is details summary</div>
    <div slot="content">This is details content</div>
  </sas-details>
`;

Basic.args = {
  open: false,
  icon: 'fas fa-chevron-down',
  autoGap: false,
};
