import { Component, Host, h, Prop, } from '@stencil/core';
export class SasDivider {
  constructor() {
    /**
     * Divider type
     */
    this.type = 'default';
  }
  render() {
    return (h(Host, null,
      h("hr", null)));
  }
  static get is() { return "sas-divider"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["sas-divider.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["sas-divider.css"]
  }; }
  static get properties() { return {
    "type": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "'default' | 'dotted'",
        "resolved": "\"default\" | \"dotted\"",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Divider type"
      },
      "attribute": "type",
      "reflect": false,
      "defaultValue": "'default'"
    }
  }; }
}
