// sas-divider.stories.js
import readme from './readme.md';

export default {
  title: 'Basic/Divider',
  parameters: {
    notes: {
      markdown: readme,
    },
  },
};

const typeOptions = ['default', 'dotted'];

export const Basic = (args) => `
  <sas-divider
    type="${args.type}"
  >
  </sas-divider>
`;

Basic.args = {
  type: 'default',
};

Basic.argTypes = {
  type: {
    control: {
      type: 'select',
      options: typeOptions,
    },
  },
};

export const Type = () => `
  <h3>Type default</h3>
  <sas-divider type="default"></sas-divider>
  <h3>Type dotted</h3>
  <sas-divider type="dotted"></sas-divider>
`;

Type.parameters = {
  controls: { hideNoControlsWarning: true },
};
