import { 
// eslint-disable-next-line no-unused-vars
Component, Host, h, Prop, } from '@stencil/core';
/**
 * @slot default - used for menu content
 */
export class SasNavigation {
  constructor() {
    /**
     * Farm name
     */
    this.name = 'Farm Name';
  }
  render() {
    return (h(Host, null,
      h("div", { class: "container" },
        h("div", { class: "header" },
          h("sas-icon", { class: "icon-header", icon: "fas fa-border-all" }),
          h("span", null, this.name)),
        h("div", { class: "menu-container" },
          h("slot", null)))));
  }
  static get is() { return "sas-navigation"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["sas-navigation.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["sas-navigation.css"]
  }; }
  static get properties() { return {
    "name": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Farm name"
      },
      "attribute": "name",
      "reflect": true,
      "defaultValue": "'Farm Name'"
    }
  }; }
}
