// sas-navigation.stories.js
import readme from './readme.md';

export default {
  title: 'Higher Order/Navigation',
  parameters: {
    notes: {
      markdown: readme,
    },
  },
};

export const Basic = (args) => `
  <sas-navigation
    name="${args.name}"
  >
    <sas-list toggle compact>
      <sas-list-item
        icon="fas fa-adjust"
        value="1"
        text="list-item-1"
      ></sas-list-item>
      <sas-sublist
        icon="fas fa-adjust"
        text="list-item-2"
      >
        <sas-list-item
          value="2.1"  
          text="sub-list-item-1"
        ></sas-list-item>
        <sas-list-item
          value="2.2"  
          text="sub-list-item-2"
        ></sas-list-item>
        <sas-list-item
        value="2.3"
          text="sub-list-item-3"
        ></sas-list-item>
      </sas-sublist>
      <sas-list-item
        icon="fas fa-adjust"
        value="3"
        text="list-item-3"
      ></sas-list-item>
    </sas-list>
  </sas-navigation>
`;

Basic.args = {
  name: 'Farm Name',
};
