// sas-radio-group.stories.js
import readme from './readme.md';

export default {
  title: 'Container/Radio Group',
  parameters: {
    notes: {
      markdown: readme,
    },
    actions: {
      handles: ['radioGroupUpdate', 'sas-radio-group'],
    },
  },
};

export const Basic = (args) => `
  <sas-radio-group
    label="${args.label}"
    required="${args.required}"
  >
    <sas-radio value="1" text="radio-1"></sas-radio>
    <sas-radio value="2" text="radio-2"></sas-radio>
    <sas-radio value="3" text="radio-3"></sas-radio>
  </sas-radio-group>
`;

Basic.args = {
  label: 'label',
  required: false,
};

Basic.parameters = {
  controls: { hideNoControlsWarning: true },
};
