// sas-tab-item.stories.js
import readme from './readme.md';

export default {
  title: 'Basic/Tab Item',
  parameters: {
    notes: {
      markdown: readme,
    },
    actions: {
      handles: ['tabItemClicked', 'sas-tab-item'],
    },
  },
};

export const Basic = (args) => `
  <sas-tab-item
    value="${args.value}"
    text="${args.text}"
  ></sas-tab-item>
`;

Basic.args = {
  value: 'value',
  text: 'tab item',
};
