// sas-tab.stories.js
import readme from './readme.md';

export default {
  title: 'Container/Tab',
  parameters: {
    notes: {
      markdown: readme,
    },
    actions: {
      handles: ['tabUpdate', 'sas-tab'],
    },
  },
};

export const Basic = () => `
  <sas-tab>
    <sas-tab-item value="1" text="tab-item-1"></sas-tab-item>
    <sas-tab-item value="2" text="tab-item-2"></sas-tab-item>
    <sas-tab-item value="3" text="tab-item-3"></sas-tab-item>
  </sas-tab>
`;

Basic.parameters = {
  controls: { hideNoControlsWarning: true },
};
