// sas-tooltip.stories.js
import readme from './readme.md';

export default {
  title: 'Higher Order/Tooltip',
  parameters: {
    notes: {
      markdown: readme,
    },
  },
};

export const Basic = () => `
  <sas-tooltip>
    <div slot="trigger">Tooltip trigger</div>
    <div slot="text">Tooltip message</div>
  </sas-tooltip>
`;

Basic.parameters = {
  controls: { hideNoControlsWarning: true },
};
