import { r as registerInstance, h, H as Host } from './index-82af0817.js';

const sasNavigationTopCss = ":host{display:flex}:host .container{flex-grow:1;display:flex;align-items:center;background-color:var(--secondary);padding:0 20px;height:70px}:host .dropdown{height:100%;display:flex;align-items:center;--list-item-text-font-weight:500}:host .icon-header{--icon-color:var(--navigation-header-background);--icon-background-color:white;--icon-background-width:15px;--icon-background-height:15px;--icon-background-border-radius:0}:host .title{display:inline;color:#FFF;font-size:24px;font-weight:bold;flex-grow:1;margin-left:15px}:host .icon-header-2{--icon-color:#FFF}:host .user{display:inline;color:#FFF;font-size:12px;font-weight:bold;margin-left:27px;margin-right:10px}";

let SasNavigationTop = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * Farm name
     */
    this.name = 'Farm Name';
    /**
     * User name
     */
    this.user = 'Jesse Pinkman';
    /**
     * User image
     */
    this.src = '';
  }
  render() {
    return (h(Host, null, h("div", { class: "container" }, h("div", { class: "dropdown" }, h("sas-dropdown", null, h("sas-icon", { tabindex: 0, class: "icon-header", slot: "control", icon: "fas fa-border-all" }), h("slot", { name: "account-menu", slot: "menu" }))), h("div", { class: "title" }, this.name), h("div", { class: "dropdown" }, h("sas-dropdown", null, h("sas-icon", { tabindex: 0, class: "icon-header-2", slot: "control", icon: "fas fa-bell" }), h("slot", { name: "notice-menu", slot: "menu" }))), h("div", { class: "user" }, this.user), h("div", { class: "dropdown" }, h("sas-dropdown", null, h("sas-avatar", { name: this.user, src: this.src, slot: "control" }), h("slot", { name: "user-menu", slot: "menu" }))))));
  }
};
SasNavigationTop.style = sasNavigationTopCss;

export { SasNavigationTop as sas_navigation_top };
