import { EventEmitter } from '../../stencil-public-runtime';
/**
 * @slot default - used for buttons
 */
export declare class SasButtonGroup {
  el: HTMLSasButtonGroupElement;
  /**
   * Active Button Index
   */
  values: number[];
  /**
   * Enable select multiple buttons
   */
  multiple: boolean;
  componentDidLoad(): void;
  watchHandler(newValue: number): void;
  /**
   * Emitted when the values are changed by user interaction
   */
  buttonGroupUpdate: EventEmitter<number>;
  buttonclickedHandler(event: any): void;
  private getButtonIndex;
  private addActiveClass;
  render(): any;
}
