import { EventEmitter } from '../../stencil-public-runtime';
export declare class SasChip {
  el: HTMLSasChipElement;
  /**
   * Type
   */
  type: 'default' | 'small';
  /**
   * Status
   */
  status: 'open' | 'in-progress' | 'completed' | 'archived';
  /**
   * Outlined
   */
  outlined: boolean;
  /**
   * Adds close button
   */
  close: boolean;
  /**
   * Inside close button
   */
  inside: boolean;
  /**
   * Text
   */
  text: string;
  /**
   * Uppercase
   */
  uppercase: boolean;
  /**
   * bold
   */
  bold: boolean;
  /**
   * Emitted when the component close icon is clicked (will be deprecated)
   */
  chipUpdate: EventEmitter<string>;
  /**
   * Emitted when the component close icon is clicked
   */
  chipupdate: EventEmitter<string>;
  private closeElement;
  render(): any;
}
