/**
 * @slot control - used for content which can toggle menu
 * @slot menu - used for menu content
 */
export declare class SasDropdown {
  el: HTMLSasDropdownElement;
  /**
   * Display as block element
   */
  block: boolean;
  /**
   * Close menu or not after click menu item
   */
  clickClose: boolean;
  /**
   * Default vertical position if top and bottom are both available
   */
  positionV: string;
  /**
   * Default horizontal position if left and right are both available
   */
  positionH: string;
  componentDidRender(): void;
  listItemClickEventUsedInternalHandler(): void;
  /**
   * Close dropdown programmatically
   */
  close(): Promise<void>;
  private fixPosition;
  private toggleList;
  private updatePosition;
  private clickEvent;
  render(): any;
}
