export declare class SasForm {
  el: HTMLSasFormElement;
  /**
   * Form submit method
   */
  method: string;
  /**
   * Form submit url
   */
  url: string;
  /**
   * Clear all fields
   */
  reset(): Promise<void>;
  /**
   * Validate data
   */
  validate(dataType?: string, data?: {}): Promise<boolean>;
  /**
   * Submit data
   */
  submit(method?: string, url?: string, additionalData?: any[], dataType?: string): Promise<any>;
  private getJsonData;
  private getFormData;
  render(): any;
}
