import { EventEmitter } from '../../stencil-public-runtime';
export declare class SasInputTel {
  private iti;
  private iti2;
  el: HTMLSasInputTelElement;
  /**
   * Emitted when the value is changed (only for components internal use)
   */
  inputTelUpdate: EventEmitter<object>;
  componentDidLoad(): void;
  /**
   * Check the componnet validity (only for components internal use)
   */
  getValidity(): Promise<any>;
  /**
   * Set country (only for components internal use)
   */
  setCountry(country: any): Promise<void>;
  /**
   * Set placeholder (only for components internal use)
   */
  setPlaceholder(type: any): Promise<void>;
  /**
   * Set value and trigger inputTelUpdate event programmatically (only for components internal use)
   */
  update(value?: string): Promise<void>;
  private getFilteredValue;
  private getFormatNumber;
  render(): any;
}
