import { EventEmitter } from '../../stencil-public-runtime';
export declare class SasInputTextarea {
  private lineHeight;
  private baseScrollHeight;
  el: HTMLSasInputTextareaElement;
  /**
   * Placeholder
   */
  placeholder: string;
  /**
   * Maximum number of characters allowed
   */
  maxlength: number;
  /**
    * Minimum number of characters allowed
    */
  minlength: number;
  /**
   * Value
   */
  value: string;
  watchHandler(): void;
  /**
   * Emitted when the value is changed (only for components internal use)
   */
  inputTextareaUpdate: EventEmitter<string>;
  componentDidLoad(): void;
  private handleInput;
  private resize;
  private getBaseScrollHeight;
  private getCurrentScrollHeight;
  render(): any;
}
