import { EventEmitter } from '../../stencil-public-runtime';
export declare class SasPagination {
  el: HTMLSasPaginationElement;
  private validTotalIndex;
  /**
   * Total Pages
   */
  totalPage: number;
  /**
   * Total Visible Indexes, odd number only
   */
  totalIndex: number;
  /**
   * Current Page Index
   */
  currentPage: number;
  watchHandler(newValue: number): void;
  /**
   * Emitted when the page is changed by user interaction (will be deprecated)
   */
  paginationUpdate: EventEmitter<number>;
  /**
   * Emitted when the page is changed by user interaction
   */
  paginationupdate: EventEmitter<number>;
  componentDidLoad(): void;
  private getValidTotalIndex;
  private updateControlButtonStatus;
  private generatePageIndexButtons;
  private updateCurrentPage;
  private addActiveClass;
  private removeActiveClass;
  private getButton;
  private goToPrevPage;
  private goToNextPage;
  render(): any;
}
